package com.usky.iot.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.iot.service.PmReceiveService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 报告接收表 前端控制器
 * </p>
 *
 * @author han
 * @since 2024-07-09
 */
@RestController
@RequestMapping("/pmReceive")
public class PmReceiveController {

    @Autowired
    private PmReceiveService pmReceiveService;

    @GetMapping("/updateReadFlag")
    public void updateReadFlag(Integer reportId){
        pmReceiveService.updateReadFlag(reportId);
    }

}

