package com.usky.iot.service.vo;

import com.ruoyi.common.core.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * @description：TODO
 * @author： fu
 * @create： 2024-07-16 11:03
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class WorkTimeExportVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 日期
     */
    @Excel(name = "日期")
    private LocalDate reportDate;

    /**
     *
     */
    @Excel(name = "账号名", align = Excel.Align.LEFT)
    private String userName;

    /**
     *
     */
    @Excel(name = "员工名", align = Excel.Align.LEFT)
    private String fullName;

    /**
     * 项目名
     */
    @Excel(name = "项目名", align = Excel.Align.LEFT)
    private String projectName;

    /**
     * 工时
     */
    @Excel(name = "耗时", align = Excel.Align.LEFT)
    private BigDecimal workTime;

    /**
     * 工作内容
     */
    @Excel(name = "工作内容", width = 48, align = Excel.Align.LEFT)
    private String workContent;

}

